

## Read Configuration File

. $CONFIG_DIR/pmfirewall.conf


case "$1" in

#####START FIREWALL#####
start)
      
	echo -n "Starting PMFirewall:"
## Flush rule sets, start from scratch
	$IPCHAINS -F input
	$IPCHAINS -F output   
	$IPCHAINS -F forward

## Read firewall rules
	. $CONFIG_DIR/pmfirewall.rules.1
	. $CONFIG_DIR/pmfirewall.rules.2

## Set default policy
        $IPCHAINS -A output -j ACCEPT
        $IPCHAINS -A input -j DENY -l


#	echo "		Done!"
	echo ""
        touch /var/lock/subsys/pmfirewall

;;


#####STOP FIREWALL####
stop)

	echo ""
        echo -n "Shutting down PMFirewall:"
	$IPCHAINS -F input
	$IPCHAINS -F output
	$IPCHAINS -F forward
	$IPCHAINS -P forward DENY
#	echo "		Done!"
	echo ""
	rm -f /var/lock/subsys/pmfirewall

;;


  *)

	echo ""
	echo "Usage: firewall {start|stop}"
	echo ""
	echo "start		Turn on Firewall and IP Masquerading"
	echo "stop		Turn off Firewall and IP Masquerading"
	echo ""

 exit 1

esac
 
 exit 0
